/**
*.Name      get_cvt
*
*.Title     Получить адрес векторной таблицы связи
*
*.Descr     Функция возвращает адрес векторной таблицы связи
*           для DOS версий 2.х, 3.х, 4.00, 4.01
*
*.Proto     void far *get_cvt(void);
*
*.Params    Нет
*
*.Return    Указатель на векторную таблицу связи
*
*.Sample    show_cvt.c
**/

#include <dos.h>
#include <stdio.h>
#include "sysp.h"

void far *get_cvt(void) {

	union REGS inregs, outregs;
	struct SREGS segregs;

	inregs.h.ah = 0x52;
	intdosx( &inregs, &outregs, &segregs );

	return(FP_MAKE(segregs.es,outregs.x.bx));

}
